shishi_principal_set(3)

NAME
shishi_principal_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_principal_set(Shishi * handle, Shishi_asn1 namenode, const char * namefield, const char * name);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 namenode
    ASN.1 structure with principal in namefield.

const char * namefield
    name of field in namenode containing principal name.

const char * name
    zero-terminated string with principal name on RFC 1964 form.

DESCRIPTION
Set principal name field in ASN.1 structure to given name.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.